#pragma once

#include <Knopf.h>
#include <Bild.h>

#include "Menu.h"
#include "Dialog.h"

class Player;
class ItemSlot;

class Game : public Menu
{
private:
	Framework::Knopf* logout;
	Framework::TextFeld* debug;
	Framework::Bild* invB;
	Framework::BildZ* inventory;
	Framework::Array<UIMLDialog*> dialogs;

public:
	// Konstruktor
	Game(Bildschirm* zScreen);
	~Game();

	void updatePosition(Vec3<float> position, bool target, Vec3<int> targetPos);
	void updateInventory(Framework::Array<ItemSlot*>& itemBar, int pos);
	void api(char* data);
};